Deployments.ai Docs
System

Show your operator access to an organization

GET /v1/system/organizations/{organizationId}/operator-access · SDK getSystemOrganizationAccess · CLI deployments system access-show

GET
/v1/system/organizations/{organizationId}/operator-access

Requires platform:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

organizationId*string

Organization whose data the caller needs operator access to.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

GetSystemOrganizationAccessResponse

application/json
  1. response
access*|

The caller's latest access to the organization, or null if they never opened any.

organization*

What an operator sees of the organization before opening access to its data.

curl -X GET "https://example.com/v1/system/organizations/string/operator-access"
{  "access": {    "closedAt": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "grantId": "string",    "openedAt": "2019-08-24T14:15:22Z",    "organizationId": "string",    "principalId": "string",    "reason": "string",    "status": "closed",    "ticket": "string"  },  "organization": {    "id": "string",    "name": "string",    "slug": "string",    "status": "active"  }}